File: changelog

package info (click to toggle)
python-minimock 1.2.8-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 144 kB
  • sloc: python: 449; makefile: 9
file content (172 lines) | stat: -rw-r--r-- 5,773 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
python-minimock (1.2.8-2) unstable; urgency=medium

  * Changeless source-only upload.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 15 Sep 2019 10:54:26 +0200

python-minimock (1.2.8-1) unstable; urgency=medium

  * New upstream release.
  * New maintainer (DPMT).
  * Update Vcs-* to point to Salsa.
  * debhelper 12.
  * Build with pybuild, only for Python 3.
  * Bump Standards-Version.
  * Run doctests on build.
  * Add gbp.conf.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 12 Sep 2019 18:04:22 +0200

python-minimock (1.2.7-1) unstable; urgency=low

  * The “Sliding Days” release.
  * New upstream version.
    (Closes: bug#638579).
  * debian/control:
    + Declare “Standards-Version: 3.9.3”. No additional changes required.
  * debian/copyright:
    + Conform to copyright format version 1.0.
    + Update copyright information.

 -- Ben Finney <ben+debian@benfinney.id.au>  Sun, 08 Apr 2012 17:08:51 +1000

python-minimock (1.2.6-2) unstable; urgency=low

  * The “Ingersoll” release.
  * debian/control:
    + Declare “Standards-Version: 3.9.2”.
    + Update ‘VCS-*’ fields for new Alioth layout.
  * debian/control, debian/rules:
    + Convert to ‘dh_python2’ packaging helper.
    + Add recommended build targets.
    + Increase minimum Debhelper version to support new targets.
  * debian/watch:
    + Refine upstream URL regex in line with current ‘uscan’ recommendations.

 -- Ben Finney <ben+debian@benfinney.id.au>  Sun, 31 Jul 2011 20:30:58 +1000

python-minimock (1.2.6-1) unstable; urgency=low

  * New upstream version.
    (Closes: bug#614123).
    + Can now change tracker on a mock object after creation.
    + Improve doctest support.
    + Bug fixes.
  * debian/docs, debian/rules:
    + Update documentation filenames to match upstream.
  * debian/source/format:
    + Convert packaging to source format “3.0 (quilt)”.
  * debian/control:
    + Declare “Standards-Version: 3.9.1”. No further changes needed.
    + Specify the ‘VCS-Browser’ URL.
    + Clarify package description.
    + Set “Priority: optional” to allow other common packages to depend on
      this one.

 -- Ben Finney <ben+debian@benfinney.id.au>  Mon, 21 Feb 2011 10:12:29 +1100

python-minimock (1.2.5-1) unstable; urgency=low

  * New upstream version:
    + Deprecate MockTracker. TraceTracker should be used instead.
  * debian/control:
    + Update to ‘Standards-Version: 3.8.2’. No changes required.

 -- Ben Finney <ben+debian@benfinney.id.au>  Fri, 07 Aug 2009 15:06:18 +1000

python-minimock (1.2.3-1) unstable; urgency=low

  * New upstream version.
    + Can now suppress tracking for a Mock instance by specifying
      ‘tracker=None’.
  * debian/control, debian/rules:
    + Switch to ‘python-support’ for Python packaging.
    + Use nicer override handling from later ‘debhelper’ version.

 -- Ben Finney <ben+debian@benfinney.id.au>  Thu, 23 Apr 2009 10:33:44 +1000

python-minimock (1.2.2-1) unstable; urgency=low

  * New upstream version.
    + Refined tracker output checking for irrelevant whitespace
      differences.
    + Documentation structure update.
  * debian/*:
    + Update copyright on Debian packaging.
  * debian/control:
    + ‘Build-Depends: python’ instead of ‘python-dev-all’.
  * debian/rules:
    + Install upstream changelog.

 -- Ben Finney <ben+debian@benfinney.id.au>  Thu, 26 Mar 2009 14:09:17 +1100

python-minimock (1.2.1-1) unstable; urgency=low

  * New upstream version.
    + ‘mock’ now also searches built-in namespace by default.
    + New mock trackers.
  * debian/control:
    + Conform package to ‘Standards-Version: 3.8.1’.

 -- Ben Finney <ben+debian@benfinney.id.au>  Fri, 20 Mar 2009 22:49:57 +1100

python-minimock (1.0-1) unstable; urgency=low

  * New upstream version.
  * debian/copyright:
    + Update fields to latest draft format version.
    + Wrap 'Format-Specification' field to observe line-length limit.

 -- Ben Finney <ben+debian@benfinney.id.au>  Fri, 09 Jan 2009 19:59:36 +1100

python-minimock (0.9-1) unstable; urgency=low

  * New upstream version.
  * debian/copyright
    + Update fields to latest draft format version.

 -- Ben Finney <ben+debian@benfinney.id.au>  Mon, 21 Jul 2008 08:34:38 +1000

python-minimock (0.8-5) unstable; urgency=medium

  * debian/rules
    + Fix a FTBFS: Ensure package builds on the buildd environment, by not
      mentioning 'python-support' at all (closes: bug#490315).
  * debian/control
    + Build-Depends-Indep: python-central >= 0.6.8, debhelper >= 7.0.14 to
      correctly manipulate the 'dh' sequences.

 -- Ben Finney <ben+debian@benfinney.id.au>  Sat, 12 Jul 2008 10:44:05 +1000

python-minimock (0.8-4) unstable; urgency=low

  * Add missing Build-Depends: python-setuptools (Closes: Bug#486958).

 -- Ben Finney <ben+debian@benfinney.id.au>  Thu, 19 Jun 2008 19:13:22 +1000

python-minimock (0.8-3) unstable; urgency=low

  * debian/rules
    + Fix packaging to generate only actually-needed dependencies (stop
      pulling in 'python-support' needlessly).
  * debian/control
    + Restore XB-Python-Version, needed by python-central.

 -- Ben Finney <ben+debian@benfinney.id.au>  Mon, 16 Jun 2008 18:11:34 +1000

python-minimock (0.8-2) unstable; urgency=low

  * debian/control
    + Build-Depends on newer python-central.
    + Remove XB-Python-Version, no longer needed for generating packages.
    + Update Standards-Version to 3.8.0 (no changes).
  * debian/rules
    + Use debhelper 7 support of python-central.

 -- Ben Finney <ben+debian@benfinney.id.au>  Fri, 13 Jun 2008 18:39:44 +1000

python-minimock (0.8-1) unstable; urgency=low

  * Initial release (Closes: #486019).

 -- Ben Finney <ben+debian@benfinney.id.au>  Fri, 13 Jun 2008 12:50:30 +1000